:host {
  display: block;
}
command-input {
  min-width: 170px;
  margin: 5px;
  display: block;
}
auto-update {
  display: inline-block;
  margin: 5px 0;
  margin-bottom: 1em;
}
paper-button[command="reset"] {
  background-color: var(--paper-deep-orange-500, red);
}
iron-icon {
  height: 48px;
  width: 48px;
}

paper-dialog {
  overflow: auto;
}

section {
  &[results] {
    border-top: 1px dashed #E0E0E0;
    padding-top: 1em;
  }
  &[inputs] {
    padding-right: 15px;
    padding-left: 10px;
    padding-top: 8px;
    border-right: 1px dashed #E0E0E0;
    max-width: 400px;
  }
  &[state] {
    p {
      margin: 10px 0;
      padding-left: 4px;
      font-size: 2em;
      span[status] {
        font-weight: bold;
        text-transform: uppercase;
      }
      paper-spinner {
        font-size: 0;
      }
    }
  }
  &[commands] {
    padding-top: 1em;
    padding-bottom: 1em;
    border-top: 1px dashed #E0E0E0;
  }
}
[horizontal][layout] [flex] > section {
  padding-left: 1em;
}

#result {
  white-space: pre-wrap;
  [result-type="busy"] {
    color: var(--paper-grey-500, gray);
  }
  [result-type="info"] {
    color: var(--paper-blue-800, blue);
  }
  [result-type="warning"] {
    color: var(--paper-orange-800, orange);
  }
  [result-type="error"] {
    color: var(--paper-red-800, red);
  }
}
